#!/usr/bin/perl

use Timer;
use Controller;

sub notify {
	print "Timer stops.\n";
}

$timer = new Timer(10);
$ctl = new Controller(10);
#$timer->addListener(\&notify);
#$timer->start();
my $subref = \&Controller::switch;
$ctl->$subref(0);
